package com.xkrs.newpro.controller;

import com.xkrs.newpro.model.qo.QcItemQoDelete;
import com.xkrs.newpro.model.qo.QcItemQoInsert;
import com.xkrs.newpro.model.qo.QcItemQoUpdate;
import com.xkrs.newpro.service.QcItemService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
public class QcItemController {

    @Resource
    private QcItemService qcItemService;

    /**
     * 添加检验项目
     */
    @PostMapping("/insertQcItem")
    public String insertQcItem(QcItemQoInsert insertQo) {
        return qcItemService.insertQcItem(insertQo);
    }

    /**
     * 删除检验项目
     */
    @PostMapping("/deleteQcItem")
    public String deleteQcItem(QcItemQoDelete deleteQo) {
        return qcItemService.deleteQcItem(deleteQo);
    }

    /**
     * 更新检验项目名称
     */
    @PostMapping("/updateQcItem")
    public String updateQcItem(QcItemQoUpdate updateQo) {
        return qcItemService.updateQcItem(updateQo);
    }

    /**
     * 查询检验项目
     */
    @GetMapping("/queryQcItem")
    public String queryQcItem(@RequestParam(value = "no") String no, @RequestParam(value = "name") String name) {
        return qcItemService.queryQcItem(no, name);
    }


}
