package com.xkrs.newpro.controller;

import com.xkrs.newpro.model.qo.QcSourceQoDelete;
import com.xkrs.newpro.model.qo.QcSourceQoInsert;
import com.xkrs.newpro.service.QcSourceService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
public class QcSourceController {

    @Resource
    private QcSourceService qcSourceService;

    /**
     * 添加检验数据
     */
    @PostMapping("/insertQcSource")
    public String insertQcSource(QcSourceQoInsert insertQo) {
        return qcSourceService.insertQcSource(insertQo);
    }

    /**
     * 删除检验数据
     */
    @PostMapping("/deleteQcSource")
    public String deleteQcSource(QcSourceQoDelete deleteQo) {
        return qcSourceService.deleteQcSource(deleteQo);
    }

    /**
     * 查询检验数据
     */
    @GetMapping("/queryQcSource")
    public String queryQcSource(@RequestParam(value = "batchNo") String batchNo, @RequestParam(value = "machineNo") String machineNo, @RequestParam(value = "materialNo") String materialNo, @RequestParam(value = "mouldNo") String mouldNo, @RequestParam(value = "varietyNo") String varietyNo) {
        return qcSourceService.queryQcSource(batchNo, machineNo, materialNo, mouldNo, varietyNo);
    }

}
