package com.xkrs.newpro.controller;

import com.xkrs.newpro.model.qo.QcSpecQoDelete;
import com.xkrs.newpro.model.qo.QcSpecQoInsert;
import com.xkrs.newpro.model.qo.QcSpecQoUpdate;
import com.xkrs.newpro.service.QcSpecService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
public class QcSpecController {

    @Resource
    private QcSpecService qcSpecService;

    /**
     * 添加检验规格
     */
    @PostMapping("/insertQcSpec")
    public String insertQcSpec(QcSpecQoInsert insertQo) {
        return qcSpecService.insertQcSpec(insertQo);
    }

    /**
     * 删除检验规格
     */
    @PostMapping("/deleteQcSpec")
    public String deleteQcSpec(QcSpecQoDelete deleteQo) {
        return qcSpecService.deleteQcSpec(deleteQo);
    }

    /**
     * 更新检验规格
     */
    @PostMapping("/updateQcSpec")
    public String updateQcSpec(QcSpecQoUpdate updateQo) {
        return qcSpecService.updateQcSpec(updateQo);
    }

    /**
     * 查询检验规格
     */
    @GetMapping("/queryQcSpec")
    public String queryQcSpec(@RequestParam(value = "varietyNo") String varietyNo, @RequestParam(value = "qcItemNo") String qcItemNo) {
        return qcSpecService.queryQcSpec(varietyNo, qcItemNo);
    }

}
